<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginLeft="@dimen/dp_6"
    android:layout_marginTop="@dimen/dp_6"
    android:layout_marginRight="@dimen/dp_6"
    android:layout_marginBottom="@dimen/dp_6"
    android:background="@drawable/bg_white_10dp">

    <com.makeramen.roundedimageview.RoundedImageView
        android:id="@+id/im_pic"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_100"
        android:scaleType="center"
        android:adjustViewBounds="true"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:riv_corner_radius_top_left="@dimen/dp_10"
        app:riv_corner_radius_top_right="@dimen/dp_10" />

    <TextView
        android:id="@+id/liveing_text"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:drawableLeft="@mipmap/liveing_icon"
        android:drawablePadding="@dimen/dp_8"
        android:text="直播中"
        android:textColor="@color/white"
        android:textSize="@dimen/sp_14"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@+id/im_pic"
        app:layout_constraintLeft_toLeftOf="@+id/im_pic"
        app:layout_constraintRight_toRightOf="@+id/im_pic"
        app:layout_constraintTop_toTopOf="@+id/im_pic" />

    <TextView
        android:id="@+id/video_length"
        android:layout_width="wrap_content"
        android:layout_height="@dimen/dp_20"
        android:layout_marginRight="@dimen/dp_7"
        android:layout_marginBottom="@dimen/dp_7"
        android:background="@drawable/gray_5_radius_bg"
        android:drawableLeft="@mipmap/start_video_icon"
        android:drawablePadding="@dimen/dp_3"
        android:paddingLeft="@dimen/dp_6"
        android:paddingRight="@dimen/dp_8"
        android:textColor="@color/white"
        android:textSize="@dimen/sp_11"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@+id/im_pic"
        app:layout_constraintRight_toRightOf="@+id/im_pic" />

    <TextView
        android:id="@+id/tv_title"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/dp_7"
        android:layout_marginTop="@dimen/dp_6"
        android:layout_marginRight="@dimen/dp_7"
        android:ellipsize="end"
        android:lines="1"
        android:textColor="@color/color_333333"
        android:textSize="@dimen/sp_12"
        android:visibility="gone"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/im_pic" />

    <de.hdodenhof.circleimageview.CircleImageView
        android:id="@+id/im_teacher_header"
        android:layout_width="@dimen/dp_18"
        android:layout_height="@dimen/dp_18"
        android:layout_marginLeft="@dimen/dp_8"
        android:layout_marginTop="10dp"
        android:layout_marginBottom="@dimen/dp_10"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/im_pic" />

    <TextView
        android:id="@+id/tv_teacher_name"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/dp_6"
        android:layout_marginEnd="5dp"
        android:ellipsize="end"
        android:maxLines="1"
        android:text="张云磊"
        android:textColor="@color/color_333333"
        android:textSize="@dimen/sp_12"
        app:layout_constraintBottom_toBottomOf="@+id/im_teacher_header"
        app:layout_constraintLeft_toRightOf="@+id/im_teacher_header"
        app:layout_constraintRight_toLeftOf="@+id/tv_watch_count"
        app:layout_constraintTop_toTopOf="@+id/im_teacher_header" />

    <TextView
        android:id="@+id/tv_watch_count"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginRight="@dimen/dp_8"
        android:text="120观看"
        android:textColor="@color/color_999999"
        android:textSize="@dimen/sp_11"
        app:layout_constraintBottom_toBottomOf="@+id/im_teacher_header"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@+id/im_teacher_header" />

</androidx.constraintlayout.widget.ConstraintLayout>